> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/guides/warehouse-robbery/installation.md).

# Installation

* **Compatible Framework:** QBCore, ESX or Qbox.
* **ox\_lib**: <https://github.com/CommunityOx/ox_lib>
* **Target system (optional):** qb-target or ox\_target
* **AV Gangs** (optional): <https://av-scripts.tebex.io/package/6351957>
* **bl\_ui** (optional, used for hacking minigame): <https://github.com/Byte-Labs-Studio/bl_ui>

## Config Options

* **Mission NPC:** The mission NPC coords are located server side to prevent players from dumping your files and get the info. You can find the code in `server/editable/_npc.lua`
* **Warehouse Setup:** Same as mission NPC, config is in `server/editable/_config.lua` to avoid dumpers. Here you will find the 3 different warehouses and their individual configs like level, item for door, junkchance, guards, crates, etc.
* **Webhook:** Add your own Discord webhook in `server/editable/_webhook.lua` use it to receive a notification when a new warehouse gets generated and everytime a player opens a crate.
* **Rewards:** Every crate model have their own list of possible items, you can edit this list in `server/editable/rewards.lua.` The structure of each reward consist of:
  * **type**:`string` The reward type, can be "item" or "money".
  * **name**:`string` The item or account name.
  * **amount**:`table|number` The amount to add, can be a table with math.random(min,max) or a number.
  * **metadata**:`table` Metadata to add on item, there's already an example in line 54 for item markedbill (used by qb)

### Open Functions

* All open functions like **dispatch, isCop, notifications, Frameworks, Inventories, minigames, etc**. Can be found in `client/editable/` folder and `server/editable/` folder.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/guides/warehouse-robbery/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
